<?php
namespace Teknisa\CRM\Controller;

use Zeedhi\Framework\DTO;
use Teknisa\CRM\Controller\TeknisaCrud;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Request\Row;


class crm00050000ProspectRevendaController extends TeknisaCrud
{
    protected $dataSourceName = 'crm_prosprevenda_prospect';
    protected $parameterBagColumns = array("NRORG", "NRREVENDA");  
    protected $entityManager;
    protected $connection;
    
     public function __construct ($crudService, $parameterBag, $entityManager, $connection)
        {
            $this->entityManager              = $entityManager;
            $this->connection                 = $connection;
             parent::__construct($crudService, $parameterBag);
        }
    
    
    //  public function save(Request $request, Response $response) {
    //     parent::save($request, $response);
        
	   // $columnsToReturn = $this->crudService->getColumnsToReturn();
	    
    //     $retorno = array();
        
    //     if (count($columnsToReturn) > 0){
    //         $retorno["NRPROSPREVENDA"] = $columnsToReturn[0]["NRPROSPREVENDA"];
    //     }
        
	   // $response->addDataSet(new DataSet("columnsToReturn", $retorno));
    // }
    
    
      public function updateProspect(Row $row, Response $response)
        {
            
            $prospect = $row->getRow();
            //  var_dump($prospect["NRPARCNEGOCIO"]); die();
            
            
            $update = "UPDATE PARCNEGOCIO
                          SET NMPRINCIPALPARC    = :NMRAZSOCPROS,
                              IDATIVO            =:IDATIVO
                        WHERE NRPARCNEGOCIO = :NRPARCNEGOCIO
                          AND NRORG      = :NRORG";
    
            $params = array
            (
                "NRORG"          => $prospect["NRORG"],
                "NMRAZSOCPROS"     => $prospect["NMRAZSOCPROS"],
                "IDATIVO"             => $prospect["IDATIVO"],
                "NRPARCNEGOCIO"    => $prospect["NRPARCNEGOCIO"]
            );
    
            try {
                $std = $this->connection->prepare($update);
                $std->execute($params);
            }
            catch (\Exception $e) {
                throw $e;
            }

        }
    

}


?>